## Schema Browser perspective

Schema Browser perspective — Perspective to analyse the database's schema

## Stability Level

Stable, unless otherwise indicated

## Functions

#define | SCHEMA_BROWSER_PERSPECTIVE()
#define | IS_SCHEMA_BROWSER_PERSPECTIVE()
void | schema_browser_perspective_display_table_info ()
void | schema_browser_perspective_display_diagram ()

## Types and Values

struct | SchemaBrowserPerspective

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── SchemaBrowserPerspective

## Implemented Interfaces

SchemaBrowserPerspective implements AtkImplementorIface, GtkBuildable, GtkOrientable and BrowserPerspective.

## Description

## Functions

### SCHEMA_BROWSER_PERSPECTIVE()

    #define SCHEMA_BROWSER_PERSPECTIVE(obj)          G_TYPE_CHECK_INSTANCE_CAST (obj, schema_browser_perspective_get_type(), SchemaBrowserPerspective)

### IS_SCHEMA_BROWSER_PERSPECTIVE()

    #define IS_SCHEMA_BROWSER_PERSPECTIVE(obj)       G_TYPE_CHECK_INSTANCE_TYPE (obj, schema_browser_perspective_get_type ())

### schema_browser_perspective_display_table_info ()

    void
    schema_browser_perspective_display_table_info
                                   (SchemaBrowserPerspective *bpers,
                                    const gchar *table_schema,
                                    const gchar *table_name,
                                    const gchar *table_short_name);

Display (and create if necessary) a new page for the table's properties

### schema_browser_perspective_display_diagram ()

    void
    schema_browser_perspective_display_diagram
                                   (SchemaBrowserPerspective *bpers,
                                    gint fav_id);

## Types and Values

### struct SchemaBrowserPerspective

    struct SchemaBrowserPerspective;